This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 179876 - Segmentation Fault adding an exec observer to a shell that is doing a build
Segmentation Fault adding an exec observer to a shell that is doing a build
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: frysk (Show other bugs)
4.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Stepan Kasal
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-02-03 11:08 EST by Jeffrey Moyer
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version: RHEA-2007-0234
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-01 19:00:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Sourceware 2287 None None None Never

  None (edit)
Description Jeffrey Moyer 2006-02-03 11:08:15 EST
Description of problem:

If I start up a build, and add an exec observer to the shell that is spawning
make, frysk will segfault:

(java-gnome:7336): Gdk-CRITICAL **: _gdk_gc_update_context: assertion `GDK_IS_GC
(gc)' failed
-- PID: 7499
click : frysk.gui.monitor.ProcData@4f72450
Segmentation fault

My build hangs at this point.

Version-Release number of selected component (if applicable):

frysk-0.0.1.2005.12.14.15.12-0.EL4.3

How reproducible:
Not sure, tried to reproduce and simply got an "Aborted" message with no traceback.
Comment 1 Jeffrey Moyer 2006-02-03 11:09:51 EST
Managed to reproduce it, but this time I got this:

-- PID: 9126
click : frysk.gui.monitor.ProcData@1f59870
Exception in thread "Thread-2" java.lang.RuntimeException:
Linux{frysk.proc.LinuxTask@21fe2d0,id={TaskId,9457},state=unattached} in state
"unattached" did not handle PerformTerminating
   at java.lang.Thread.run() (/usr/lib/libgcj.so.6.0.0)

(java-gnome:9158): Gdk-CRITICAL **: _gdk_gc_update_context: assertion `GDK_IS_GC
(gc)' failed
Aborted
Comment 2 Stepan Kasal 2007-02-14 12:37:50 EST
Fixed in frysk-0.0.1.2007.02.07.rh1-1.el4.
Comment 4 Andrew Cagney 2007-02-14 13:31:49 EST
Fixed in frysk-0.0.1.2007.02.07.rh1-1.el4.
Comment 9 Red Hat Bugzilla 2007-05-01 19:00:44 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2007-0234.html

Note You need to log in before you can comment on or make changes to this bug.